Skip to main content
PATCH
/
v1
/
custom-sections
/
{id}
Update Custom Section
curl --request PATCH \
  --url https://api.mokaru.ai/v1/custom-sections/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sectionTitle": "<string>",
  "enabledFields": [
    "<string>"
  ],
  "icon": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.mokaru.ai/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Update an existing custom section definition (rename, change icon, change enabled fields).
Scope required: custom-sections:write | Rate limit: 20 requests/min

Request

PATCH /v1/custom-sections/clx...
Content-Type: application/json

Body Parameters

sectionTitle
string
Section title
enabledFields
string[]
Updated list of enabled fields (at least one)
icon
string
Lucide icon name

Response

{
  "success": true,
  "id": "clx..."
}